
local function getValue()
    return reactor.getStatus() or false
end


local function checkStatus()
    local value = getValue()
end

local function watch()
    while true do
        checkStatus()
        sleep(0.05)  -- Update every tenth second
    end
end

local function startup()
    reactor.setBurnRate(2)
    local status = reactor.getStatus()
    if(not status) then
        reactor.activate()
        return
    end

    reactorStatus = reactor.getStatus()
end

local function shutdown()
    reactor.setBurnRate(0)
    reactor.deactivate()
end

local function report()
        local value = getValue()
        local color = colors.black
        monitor.setBackgroundColor(color)

        setNewLine()
        monitor.write("Reactor Status: " .. tostring(value))
end
return { report = report, watch = watch, startup = startup, shutdown = shutdown }